# -*- encoding: utf-8 -*-
# stub: azure_mgmt_sqlvirtualmachine 0.18.1 ruby lib

Gem::Specification.new do |s|
  s.name = "azure_mgmt_sqlvirtualmachine".freeze
  s.version = "0.18.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "bug_tracker_uri" => "https://github.com/Azure/azure-sdk-for-ruby/issues", "changelog_uri" => "https://github.com/Azure/azure-sdk-for-ruby/blob/master/ChangeLog.md", "documentation_uri" => "https://azure.microsoft.com/en-us/develop/ruby/", "homepage_uri" => "https://aka.ms/azure-sdk-for-ruby", "source_code_uri" => "https://github.com/Azure/azure-sdk-for-ruby/tree/master/management/azure_mgmt_sqlvirtualmachine" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Microsoft Corporation".freeze]
  s.date = "2022-10-26"
  s.description = "Microsoft Azure SQL Virtual Machine Management Client Library for Ruby".freeze
  s.email = "azrubyteam@microsoft.com".freeze
  s.files = ["LICENSE.txt".freeze, "lib/2017-03-01-preview".freeze, "lib/2017-03-01-preview/generated".freeze, "lib/2017-03-01-preview/generated/azure_mgmt_sqlvirtualmachine".freeze, "lib/2017-03-01-preview/generated/azure_mgmt_sqlvirtualmachine.rb".freeze, "lib/2017-03-01-preview/generated/azure_mgmt_sqlvirtualmachine/availability_group_listeners.rb".freeze, "lib/2017-03-01-preview/generated/azure_mgmt_sqlvirtualmachine/models".freeze, "lib/2017-03-01-preview/generated/azure_mgmt_sqlvirtualmachine/models/additional_features_server_configurations.rb".freeze, "lib/2017-03-01-preview/generated/azure_mgmt_sqlvirtualmachine/models/auto_backup_settings.rb".freeze, "lib/2017-03-01-preview/generated/azure_mgmt_sqlvirtualmachine/models/auto_patching_settings.rb".freeze, "lib/2017-03-01-preview/generated/azure_mgmt_sqlvirtualmachine/models/availability_group_listener.rb".freeze, "lib/2017-03-01-preview/generated/azure_mgmt_sqlvirtualmachine/models/availability_group_listener_list_result.rb".freeze, "lib/2017-03-01-preview/generated/azure_mgmt_sqlvirtualmachine/models/backup_schedule_type.rb".freeze, "lib/2017-03-01-preview/generated/azure_mgmt_sqlvirtualmachine/models/cluster_configuration.rb".freeze, "lib/2017-03-01-preview/generated/azure_mgmt_sqlvirtualmachine/models/cluster_manager_type.rb".freeze, "lib/2017-03-01-preview/generated/azure_mgmt_sqlvirtualmachine/models/connectivity_type.rb".freeze, "lib/2017-03-01-preview/generated/azure_mgmt_sqlvirtualmachine/models/day_of_week.rb".freeze, "lib/2017-03-01-preview/generated/azure_mgmt_sqlvirtualmachine/models/disk_configuration_type.rb".freeze, "lib/2017-03-01-preview/generated/azure_mgmt_sqlvirtualmachine/models/full_backup_frequency_type.rb".freeze, "lib/2017-03-01-preview/generated/azure_mgmt_sqlvirtualmachine/models/identity_type.rb".freeze, "lib/2017-03-01-preview/generated/azure_mgmt_sqlvirtualmachine/models/key_vault_credential_settings.rb".freeze, "lib/2017-03-01-preview/generated/azure_mgmt_sqlvirtualmachine/models/load_balancer_configuration.rb".freeze, "lib/2017-03-01-preview/generated/azure_mgmt_sqlvirtualmachine/models/operation.rb".freeze, "lib/2017-03-01-preview/generated/azure_mgmt_sqlvirtualmachine/models/operation_display.rb".freeze, "lib/2017-03-01-preview/generated/azure_mgmt_sqlvirtualmachine/models/operation_list_result.rb".freeze, "lib/2017-03-01-preview/generated/azure_mgmt_sqlvirtualmachine/models/operation_origin.rb".freeze, "lib/2017-03-01-preview/generated/azure_mgmt_sqlvirtualmachine/models/private_ipaddress.rb".freeze, "lib/2017-03-01-preview/generated/azure_mgmt_sqlvirtualmachine/models/proxy_resource.rb".freeze, "lib/2017-03-01-preview/generated/azure_mgmt_sqlvirtualmachine/models/resource.rb".freeze, "lib/2017-03-01-preview/generated/azure_mgmt_sqlvirtualmachine/models/resource_identity.rb".freeze, "lib/2017-03-01-preview/generated/azure_mgmt_sqlvirtualmachine/models/scale_type.rb".freeze, "lib/2017-03-01-preview/generated/azure_mgmt_sqlvirtualmachine/models/server_configurations_management_settings.rb".freeze, "lib/2017-03-01-preview/generated/azure_mgmt_sqlvirtualmachine/models/sql_connectivity_update_settings.rb".freeze, "lib/2017-03-01-preview/generated/azure_mgmt_sqlvirtualmachine/models/sql_image_sku.rb".freeze, "lib/2017-03-01-preview/generated/azure_mgmt_sqlvirtualmachine/models/sql_management_mode.rb".freeze, "lib/2017-03-01-preview/generated/azure_mgmt_sqlvirtualmachine/models/sql_server_license_type.rb".freeze, "lib/2017-03-01-preview/generated/azure_mgmt_sqlvirtualmachine/models/sql_storage_update_settings.rb".freeze, "lib/2017-03-01-preview/generated/azure_mgmt_sqlvirtualmachine/models/sql_virtual_machine.rb".freeze, "lib/2017-03-01-preview/generated/azure_mgmt_sqlvirtualmachine/models/sql_virtual_machine_group.rb".freeze, "lib/2017-03-01-preview/generated/azure_mgmt_sqlvirtualmachine/models/sql_virtual_machine_group_list_result.rb".freeze, "lib/2017-03-01-preview/generated/azure_mgmt_sqlvirtualmachine/models/sql_virtual_machine_group_update.rb".freeze, "lib/2017-03-01-preview/generated/azure_mgmt_sqlvirtualmachine/models/sql_virtual_machine_list_result.rb".freeze, "lib/2017-03-01-preview/generated/azure_mgmt_sqlvirtualmachine/models/sql_virtual_machine_update.rb".freeze, "lib/2017-03-01-preview/generated/azure_mgmt_sqlvirtualmachine/models/sql_vm_group_image_sku.rb".freeze, "lib/2017-03-01-preview/generated/azure_mgmt_sqlvirtualmachine/models/sql_workload_type.rb".freeze, "lib/2017-03-01-preview/generated/azure_mgmt_sqlvirtualmachine/models/sql_workload_type_update_settings.rb".freeze, "lib/2017-03-01-preview/generated/azure_mgmt_sqlvirtualmachine/models/sqlstorage_settings.rb".freeze, "lib/2017-03-01-preview/generated/azure_mgmt_sqlvirtualmachine/models/storage_configuration_settings.rb".freeze, "lib/2017-03-01-preview/generated/azure_mgmt_sqlvirtualmachine/models/storage_workload_type.rb".freeze, "lib/2017-03-01-preview/generated/azure_mgmt_sqlvirtualmachine/models/tracked_resource.rb".freeze, "lib/2017-03-01-preview/generated/azure_mgmt_sqlvirtualmachine/models/wsfc_domain_credentials.rb".freeze, "lib/2017-03-01-preview/generated/azure_mgmt_sqlvirtualmachine/models/wsfc_domain_profile.rb".freeze, "lib/2017-03-01-preview/generated/azure_mgmt_sqlvirtualmachine/module_definition.rb".freeze, "lib/2017-03-01-preview/generated/azure_mgmt_sqlvirtualmachine/operations.rb".freeze, "lib/2017-03-01-preview/generated/azure_mgmt_sqlvirtualmachine/sql_virtual_machine_groups.rb".freeze, "lib/2017-03-01-preview/generated/azure_mgmt_sqlvirtualmachine/sql_virtual_machine_management_client.rb".freeze, "lib/2017-03-01-preview/generated/azure_mgmt_sqlvirtualmachine/sql_virtual_machines.rb".freeze, "lib/azure_mgmt_sqlvirtualmachine.rb".freeze, "lib/module_definition.rb".freeze, "lib/profiles".freeze, "lib/profiles/latest".freeze, "lib/profiles/latest/modules".freeze, "lib/profiles/latest/modules/sqlvirtualmachine_profile_module.rb".freeze, "lib/profiles/latest/sqlvirtualmachine_latest_profile_client.rb".freeze, "lib/profiles/latest/sqlvirtualmachine_module_definition.rb".freeze, "lib/version.rb".freeze]
  s.homepage = "https://aka.ms/azure-sdk-for-ruby".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.0.0".freeze)
  s.rubygems_version = "3.3.7".freeze
  s.summary = "Official Ruby client library to consume Microsoft Azure SQL Virtual Machine Management services.".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.9"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 10"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3"])
    s.add_development_dependency(%q<dotenv>.freeze, ["~> 2"])
    s.add_runtime_dependency(%q<ms_rest_azure>.freeze, ["~> 0.11.1"])
  else
    s.add_dependency(%q<bundler>.freeze, ["~> 1.9"])
    s.add_dependency(%q<rake>.freeze, ["~> 10"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3"])
    s.add_dependency(%q<dotenv>.freeze, ["~> 2"])
    s.add_dependency(%q<ms_rest_azure>.freeze, ["~> 0.11.1"])
  end
end
